[Full-disclosure] [ MDVSA-2010:077 ] nss_db




-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

_______________________________________________________________________

Mandriva Linux Security Advisory MDVSA-2010:077
http://www.mandriva.com/security/
_______________________________________________________________________

Package : nss_db
Date : April 17, 2010
Affected: 2010.0, Enterprise Server 5.0
_______________________________________________________________________

Problem Description:

A vulnerability has been found and corrected in nss_db:

The Free Software Foundation (FSF) Berkeley DB NSS module (aka
libnss-db) 2.2.3pre1 reads the DB_CONFIG file in the current working
directory, which allows local users to obtain sensitive information
via a symlink attack involving a setgid or setuid application that
uses this module (CVE-2010-0826).

The updated packages have been patched to correct this issue.
_______________________________________________________________________

References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-0826
_______________________________________________________________________

Updated Packages:

Mandriva Linux 2010.0:
fe731e1f872f7a06fef5a1d3e5b608f3 2010.0/i586/nss_db-2.2.3-0.pre1.6.1mdv2010.0.i586.rpm
52035dfcb699e657a5640dea089fd1f8 2010.0/SRPMS/nss_db-2.2.3-0.pre1.6.1mdv2010.0.src.rpm

Mandriva Linux 2010.0/X86_64:
4fcc55504d8633eabb9bb38a28efd452 2010.0/x86_64/nss_db-2.2.3-0.pre1.6.1mdv2010.0.x86_64.rpm
52035dfcb699e657a5640dea089fd1f8 2010.0/SRPMS/nss_db-2.2.3-0.pre1.6.1mdv2010.0.src.rpm

Mandriva Enterprise Server 5:
598dd6ff4118757d9d2930f94486e0bf mes5/i586/nss_db-2.2.3-0.pre1.4.1mdvmes5.1.i586.rpm
194e4cab894286ce36793880ac889db5 mes5/SRPMS/nss_db-2.2.3-0.pre1.4.1mdvmes5.1.src.rpm

Mandriva Enterprise Server 5/X86_64:
aaf70dc135560db8ccd17831154ce259 mes5/x86_64/nss_db-2.2.3-0.pre1.4.1mdvmes5.1.x86_64.rpm
194e4cab894286ce36793880ac889db5 mes5/SRPMS/nss_db-2.2.3-0.pre1.4.1mdvmes5.1.src.rpm
_______________________________________________________________________

To upgrade automatically use MandrivaUpdate or urpmi. The verification
of md5 checksums and GPG signatures is performed automatically for you.

All packages are signed by Mandriva for security. You can obtain the
GPG public key of the Mandriva Security Team by executing:

gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

You can view other update advisories for Mandriva Linux at:

http://www.mandriva.com/security/advisories

If you want to report vulnerabilities, please contact

security_(at)_mandriva.com
_______________________________________________________________________

Type Bits/KeyID Date User ID
pub 1024D/22458A98 2000-07-10 Mandriva Security Team
<security*mandriva.com>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFLyZwvmqjQ0CJFipgRAloTAJ0VphYaJDWVnbzgHaReFUgl0Tyx8ACeLV+O
GWl0/Jht43MqsML48hRSROs=
=CAVH
-----END PGP SIGNATURE-----

_______________________________________________
Full-Disclosure - We believe in it.
Charter: http://lists.grok.org.uk/full-disclosure-charter.html
Hosted and sponsored by Secunia - http://secunia.com/



Relevant Pages

  • [Full-disclosure] [ MDVSA-2013:234 ] python-django
    ... Business Server 1.0, Enterprise Server 5.0 ... A vulnerability has been discovered and corrected in python-django: ... The updated packages have been patched to correct this issue. ... Mandriva Enterprise Server 5/X86_64: ...
    (Full-Disclosure)
  • [Full-disclosure] [ MDVSA-2009:242-1 ] dovecot
    ... Affected: Enterprise Server 5.0 ... a different vulnerability than CVE-2009-2632 ... Packages for Enterprise 5 i586 were missing with the previous ... Mandriva Enterprise Server 5/X86_64: ...
    (Full-Disclosure)
  • [ MDVSA-2009:242-1 ] dovecot
    ... Affected: Enterprise Server 5.0 ... a different vulnerability than CVE-2009-2632 ... Packages for Enterprise 5 i586 were missing with the previous ... Mandriva Enterprise Server 5/X86_64: ...
    (Bugtraq)
  • [ MDVSA-2013:234 ] python-django
    ... Business Server 1.0, Enterprise Server 5.0 ... A vulnerability has been discovered and corrected in python-django: ... The updated packages have been patched to correct this issue. ... Mandriva Enterprise Server 5/X86_64: ...
    (Bugtraq)
  • [Full-disclosure] [ MDVSA-2010:252 ] perl-CGI-Simple
    ... Corporate 4.0, Enterprise Server 5.0 ... CRLF injection vulnerability in the header function in CGI.pm ... The updated packages have been patched to correct this issue. ... Mandriva Enterprise Server 5/X86_64: ...
    (Full-Disclosure)